﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Razre.Base;

namespace NavigationMVVMDemo.Models
{
    public class PhoneNumberModel : BaseModel
    {
        private string _areaCode = string.Empty;
        private string _number = string.Empty;

        public string AreaCode
        {
            get { return _areaCode; }
            set 
            {
                if (_areaCode != value)
                {
                    _areaCode = value;
                    OnPropertyChanged("AreaCode");
                }
            }
        }

        public string Number
        {
            get { return _number; }
            set 
            {
                if (_number != value)
                {
                    _number = value;
                    OnPropertyChanged("Number");
                }
            }
        }
    }
}
