﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using NavigationMVVMDemo.ViewModels;
using NavigationMVVMDemo.Models;
using NavigationMVVMDemo.Events;
using Razre;

namespace NavigationMVVMDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            NavigationManager.SetMainRegion(MainRegion);

            PersonViewModel viewModel = ViewModelFactory.CreateViewModel<PersonViewModel>();
            viewModel.Person = new PersonModel();
            NavigationManager.Navigate(viewModel);
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            ThemeManager.SetTheme(ApplicationDefinitions.ThemeNames.Theme1);
        }

        private void MenuItem_Click_1(object sender, RoutedEventArgs e)
        {
            ThemeManager.SetTheme(ApplicationDefinitions.ThemeNames.Theme2);
        }
    }
}
